> ## Documentation Index
> Fetch the complete documentation index at: https://docs.opengiant.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a Persona

> Create a new AI persona.



## OpenAPI

````yaml POST /personas
openapi: 3.0.1
info:
  title: OpenGiant API
  description: API for refining AI responses and managing personas.
  version: 1.0.0
servers:
  - url: https://api.opengiant.com/v1
security:
  - bearerAuth: []
paths:
  /personas:
    post:
      description: Create a new AI persona.
      requestBody:
        description: Persona details.
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  description: The name of the new persona.
                attributes:
                  type: object
                  description: Attributes defining the persona's characteristics.
      responses:
        '200':
          description: Persona created successfully.
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: Unique identifier for the persona.
                  name:
                    type: string
                    description: The name of the persona.
                  attributes:
                    type: object
                    description: Attributes defining the persona's characteristics.
        '400':
          description: Unexpected error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      type: object
      required:
        - error
        - message
      properties:
        error:
          type: integer
          format: int32
          description: Error code.
        message:
          type: string
          description: Error message.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````